#---
# Excerpted from "Rails For Java Programmers"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_r4j for more book information.
#---
# work around the fact that Rails CodeStatistics writes to stdout
class CodeStatistics #:nodoc:
  def self.with_stream(str)
    old = $stdout
    $stdout = str
    $stdout.sync = true
    yield
  ensure
    $stdout = old
  end
  def self.count(*args)
    strs = StringIO.new
    with_stream(strs) do
      CodeStatistics.new(*args).to_s
    end
    strs.string
  end
end