/***
 * Excerpted from "Rails For Java Programmers"
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/fr_r4j for more book information.
***/
package com.relevancellc.people.dao;

import com.relevancellc.people.model.Person;

import java.util.List;

/**
 * Created by Stuthulhu: Sep 1, 2006
 */
public interface PersonDao extends Dao {
  public Person getPerson(Long personId);

  public void savePerson(Person person);

  public void removePerson(Long personId);

  List getPeople(Person person);
}
