/***
 * Excerpted from "Rails For Java Programmers"
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/fr_r4j for more book information.
***/
package com.relevancellc.people.service;

import com.relevancellc.people.model.Person;
import com.relevancellc.people.dao.PersonDao;

import java.util.List;

public interface PersonManager {
  public void setPersonDao(PersonDao dao);

  public Person getPerson(String id);

  public void savePerson(Person person);

  public void removePerson(String id);

  List getPeople(Person o);
}