<%@ include file="/common/taglibs.jsp"%>

<title><fmt:message key="personDetail.title"/></title>
<content tag="heading"><fmt:message key="personDetail.heading"/></content>

<html:form action="savePerson" method="post" styleId="personForm" onsubmit="return validatePersonForm(this)">
<ul>

<html:hidden property="id"/>
    <!-- START: form guts -->
    <li>
        <label for="firstName" class="desc">First Name </label>
        <html:errors property="firstName"/>
        <html:text property="firstName" styleId="firstName" 
           styleClass="text medium"/>
    </li>
    <li>
        <label for="lastName" class="desc">Last Name </label>
        <html:errors property="lastName"/>
        <html:text property="lastName" styleId="lastName" 
           styleClass="text medium"/>
    </li>
    <!-- END: form guts -->

    <li class="buttonBar bottom">
        <html:submit styleClass="button" property="method.save" onclick="bCancel=false">
            <fmt:message key="button.save"/>
        </html:submit>

        <html:submit styleClass="button" property="method.delete" onclick="bCancel=true; return confirmDelete('Person')">
            <fmt:message key="button.delete"/>
        </html:submit>

        <html:cancel styleClass="button" onclick="bCancel=true">
            <fmt:message key="button.cancel"/>
        </html:cancel>
    </li>
</ul>
</html:form>

<script type="text/javascript">
    Form.focusFirstElement($("personForm"));
</script>

<html:javascript formName="personForm" cdata="false" dynamicJavascript="true" staticJavascript="false"/>
<script type="text/javascript" src="<html:rewrite page="/scripts/validator.jsp"/>"></script>
