/***
 * Excerpted from "Rails For Java Programmers"
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/fr_r4j for more book information.
***/
//START:extend
public class Programmer extends Person {
//END:extend
  //START:derivedConstructor
  public Programmer(String firstName, String lastName, String favoriteLanguage) {
    super(firstName, lastName);
    this.favoriteLanguage = favoriteLanguage;
  }
  //END:derivedConstructor
  //START:own
  private String favoriteLanguage;

  public String getFavoriteLanguage() {
    return favoriteLanguage;
  }

  public void setFavoriteLanguage(String favoriteLanguage) {
    this.favoriteLanguage = favoriteLanguage;
  }
  //END:own
}
