/***
 * Excerpted from "Rails For Java Programmers"
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/fr_r4j for more book information.
***/
package unit;

import org.junit.Test;
import static org.junit.Assert.*;

public class SimpleTest {
  @Test public void tag() {
    assertEquals("<h1></h1>", Simple.tag("h1"));
    assertEquals("<h1>hello</h1>", Simple.tag("h1", "hello"));
  }

  //START:test
  @Test(expected=IllegalArgumentException.class)
  public void nullTag() {
    Simple.tag(null);
  }
  //END:test

  public static junit.framework.Test suite() {
    return new junit.framework.JUnit4TestAdapter(SimpleTest.class);
  }
}
