namespace 'rcov' do
  begin
    require 'rcov/rcovtask'
    Rcov::RcovTask.new do |t|
      t.name = 'test'
      t.libs << "test"
      t.test_files = FileList['test/**/*test.rb']   # <label id="code.test.rcov.files"/>
      t.verbose = true
      t.rcov_opts = ['-x', '^lib,^config/boot']     # <label id="code.test.rcov.opts"/>
    end
  rescue LoadError                                  # <label id="code.test.rcov.rescue"/>
    # ignore missing rcov
  end
end
