#---
# Excerpted from "Rails For Java Programmers"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_r4j for more book information.
#---
class Person < ActiveRecord::Base
  
  has_many :quips, :foreign_key=>'author_id'
  
  
  def full_name
    "#{first_name} #{last_name}"
  end

  # The next few methods have line breaks to work in the printed book:
  
  
  # This method demonstrates a SQL injection attack
  # DO NOT WRITE CODE LIKE THIS
  def self.find_by_any_name_UNSAFE(search)
    find(:all, \
:conditions=>"first_name = '#{search}' OR last_name = '#{search}'")
  end
  
  
  
  def self.find_by_any_name(search)
    find(:all, \
:conditions=>['first_name = :search or last_name = :search', {:search=>search}])
  end
  
  
  
  # This method demonstrates a SQL injection attack
  # DO NOT WRITE CODE LIKE THIS
  def self.find_like_any_name_UNSAFE(search)
    find(:all, :conditions=>"first_name LIKE '%#{search}%' OR last_name LIKE '%#{search}%'")
  end
  

  
  def self.find_like_any_name(search)
    quoted_search = ActiveRecord::Base.connection.quote("%#{search}%")
    find(:all, :conditions=>"first_name LIKE #{quoted_search} OR last_name LIKE #{quoted_search}")
  end
  
  
  
end
