#---
# Excerpted from "Rails For Java Programmers"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_r4j for more book information.
#---
class Quip < ActiveRecord::Base
  
  belongs_to :author, :class_name=>'Person', :foreign_key=>'author_id'
  

  validates_presence_of :text
  attr_accessible :text
  
  
  def self.find_text_like(value)
    find(:all, :conditions=> "text LIKE " + 
         ActiveRecord::Base.connection.quote("%#{value}%"))
  end
  

end
