#---
# Excerpted from "Rails For Java Programmers"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_r4j for more book information.
#---

begin 
  File.read 'nonexistent'
rescue SystemCallError => e   
  puts 'system call failed'
rescue Exception => e 
  puts 'generic failure of some kind'
else 
  puts 'nothing failed'
ensure 
  puts 'this always executes'
end



begin
  1/0
rescue Exception => e
  puts "Message " + e.message
  puts "Backtrace " + e.backtrace.join("\n")
end  

