#---
# Excerpted from "Rails For Java Programmers"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_r4j for more book information.
#---
class Person
  def initialize(first_name, last_name)   
    @first_name = first_name              
    @last_name = last_name
  end
  
  attr_accessor :first_name, :last_name   
  
  def full_name
    "#{first_name} #{last_name}"          
  end
  
  def marry(other)
    other.last_name = self.last_name = "#{self.last_name}-#{other.last_name}"
  end

  def self.species
    "Homo sapiens"
  end
end

