#---
# Excerpted from "Rails For Java Programmers"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_r4j for more book information.
#---
require 'person'
require 'employer'
require 'employee'
require 'business_person'
require 'company'

require 'test/unit'


class Object
  def must_be(*types)
    types.each {|type| raise "Must be #{type}" unless self.kind_of?(type)}
  end
end


class TestDemo < Test::Unit::TestCase
  def test_stuff
    
    e1 = Company.new("Hal")
    e2 = BusinessPerson.new("Steve", "Startup")
    me = BusinessPerson.new("Stu", "Halloway")
    e1.add_employee(me)
    e2.add_employee(me)
    me.add_employee(me)
    
    assert_equal [], e1.employees
    assert_equal [], e2.employees
    assert_equal [me], me.employees
    assert_equal me, me.employer
  end

  def test_must_be
    
    me = BusinessPerson.new("Stu", "Halloway")
    me.must_be(Person, Employer, Employee)
    
  end
  
end