#---
# Excerpted from "Rails For Java Programmers"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_r4j for more book information.
#---
require 'test/unit'
require 'simple_tag_2'

class SimpleTest < Test::Unit::TestCase
  include Simple
  def test_tag
    assert_equal("<h1></h1>", tag("h1"))
    assert_equal("<h1>hello</h1>", tag("h1", "hello"))
  end
  
  def test_nil_tag
    assert_raises (ArgumentError) {tag(nil)}
  end
  
end