#---
# Excerpted from "Rails For Java Programmers"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_r4j for more book information.
#---
require 'rexml/document'
include REXML

# normally would have this from Rails

class Symbol
  def to_proc
    Proc.new { |*args| args.shift.__send__(self, *args) }
  end
end



def get_target_names_depending_on_prepare(file)
  XPath.match(Document.new(file),
              "//target[@depends='prepare']/@name").map do |x|
    x.value
  end
end


def get_target_names_depending_on_prepare_2(file)
  
  XPath.match(Document.new(file), 
              "//target[@depends='prepare']/@name").map(&:value)
  
end

require 'test/unit'
class TestXPath < Test::Unit::TestCase
  @@xmlfile = File.join(File.dirname(__FILE__), '../../../Rake/simple_ant/build.xml')

  def test_get_targets
    assert_equal(['compile'],
                 get_target_names_depending_on_prepare(File.new(@@xmlfile)))
  end
  def test_get_targets_2
    assert_equal(['compile'],
                 get_target_names_depending_on_prepare_2(File.new(@@xmlfile)))
  end
end
