#---
# Excerpted from "Rails For Java Programmers"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_r4j for more book information.
#---
require 'test/unit'
class ArrayTest < Test::Unit::TestCase
  # Hack necessary to run tests inproc with Rails tests under rcov
  def load_fixtures; end
  
  def test_math
    assert_equal [1,2,3],   [1,2] + [3]
    assert_equal [1,2,1,2], [1,2] * 2
    assert_equal [2],       [1,2,1] - [1]
    # division (/) is not defined for arrays
  end
  
  def test_skills
    skills = ['C', 'Java']
    skills.push 'Ruby'
    assert_equal ['C', 'Java', 'Ruby'], skills
    assert_equal 'Ruby', skills.pop
  end

end