#---
# Excerpted from "Rails For Java Programmers"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_r4j for more book information.
#---
require 'test/unit'

class PrimitivesTest < Test::Unit::TestCase
  
  TWO_BILLION = 2000000000  # (1)
  FOUR_BILLION = 4000000000
  def test_int_overflow
    assert_equal 2, 1+1 # (2)
    assert_equal FOUR_BILLION, TWO_BILLION + TWO_BILLION # (3)
  end
  
  
  def test_int_types
    assert_kind_of Fixnum, 2
    assert_kind_of Bignum, TWO_BILLION
  end
  
  
  def test_finite
    assert 1.5.finite?
    assert (1.0/0.0).infinite?
  end
  
end