/***
 * Excerpted from "Rails For Java Programmers"
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/fr_r4j for more book information.
***/
package com.relevancellc.people.service.impl;

import com.relevancellc.people.dao.PersonDao;
import com.relevancellc.people.model.Person;
import com.relevancellc.people.service.PersonManager;

import java.util.List;

public class PersonManagerImpl extends BaseManager implements PersonManager {

  private PersonDao dao;

  public void setPersonDao(PersonDao dao) {
    this.dao = dao;
  }

  public Person getPerson(String id) {
    return dao.getPerson(Long.valueOf(id));
  }

  public void savePerson(Person person) {
    dao.savePerson(person);
  }

  public void removePerson(String id) {
    dao.removePerson(Long.valueOf(id));
  }

  public List getPeople(Person person) {
    return dao.getPeople(person);
  }

}