<%@ include file="/common/taglibs.jsp"%>

<title><fmt:message key="personList.title"/></title>
<content tag="heading"><fmt:message key="personList.heading"/></content>
<meta name="menu" content="PersonMenu"/>

<c:set var="buttons">
    <input type="button" style="margin-right: 5px"
        onclick="location.href='<c:url value="/editPerson.html"/>'"
        value="<fmt:message key="button.add"/>"/>

    <input type="button" onclick="location.href='<html:rewrite forward="mainMenu"/>'"
        value="<fmt:message key="button.done"/>"/>
</c:set>

<c:out value="${buttons}" escapeXml="false"/>

<display:table name="personList" cellspacing="0" cellpadding="0"
    id="personList" pagesize="25" class="table personList"
    export="true" requestURI="">

    <display:column property="id" sortable="true" headerClass="sortable"
        url="/editPerson.html" paramId="id" paramProperty="id"
        titleKey="personForm.id"/>
    <display:column property="firstName" sortable="true" headerClass="sortable"
         titleKey="personForm.firstName"/>
    <display:column property="lastName" sortable="true" headerClass="sortable"
         titleKey="personForm.lastName"/>
    <display:setProperty name="paging.banner.item_name" value="person"/>
    <display:setProperty name="paging.banner.items_name" value="people"/>
</display:table>

<c:out value="${buttons}" escapeXml="false"/>

<script type="text/javascript">
    highlightTableRows("personList");
</script>
