#---
# Excerpted from "Rails For Java Programmers"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_r4j for more book information.
#---
class AddLockVersions < ActiveRecord::Migration
  def self.up
    add_column :users, :lock_version, :integer, :default=>0
    add_column :people, :lock_version, :integer, :default=>0
    add_column :quips, :lock_version, :integer, :default=>0
  end

  def self.down
    remove_column :people, :lock_version
    remove_column :quips, :lock_version
    remove_column :users, :lock_version
  end
end
