#---
# Excerpted from "Rails For Java Programmers"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_r4j for more book information.
#---
class CreateCelestialBodies < ActiveRecord::Migration
  def self.up
    
    create_table :celestial_bodies do |t|
      # shared properties
      t.column :name, :string
      t.column :type, :string
      # star properties
      t.column :magnitude, :decimal
      t.column :classification, :char
      # planet properties
      t.column :gas_giant, :boolean
      t.column :moons, :int
    end
    
  end

  def self.down
    drop_table :celestial_bodies
  end
end
