#---
# Excerpted from "Rails For Java Programmers"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_r4j for more book information.
#---
class CreateAuthors < ActiveRecord::Migration
  def self.up
    create_table :authors do |t|
      t.column :canonical, :string
      t.column :legalname, :string
      t.column :birthplace, :string
      t.column :birthdate, :date
      t.column :deathdate, :date
    end
  end

  def self.down
    drop_table :authors
  end
end
