#---
# Excerpted from "Rails For Java Programmers"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_r4j for more book information.
#---

def number_grade(letter)
  case 
  when letter == 'A': 100
  when letter == 'B': 90
  when letter == 'C': 80  
  when letter == 'D': 70
  else 0  
  end
end


['A','B','C','D','E','F'].each do |g|
  puts "#{g}: #{number_grade(g)}"
end


def number_grade(letter)
  case letter
    when 'A': 100
    when 'B': 90
    when 'C': 80  
    when 'D': 70
    else 0  
  end
end


['A','B','C','D','E','F'].each do |g|
  puts "#{g}: #{number_grade(g)}"
end


def letter_grade(x)
  case x
    when 90..100: 'A'
    when 80..90:  'B'
    when 70..80:  'C'
    when 60..70:  'D'
    when Integer: 'F'
    when /[A-F]/:  x
    else raise "not a grade: #{x}"  
  end
end


[95,90,85,80,75,70,15,95.5,'A','B','C','D','E','F','G'].each do |g|
  puts "#{g}: #{letter_grade(g)}"
end

