#---
# Excerpted from "Rails For Java Programmers"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_r4j for more book information.
#---
require 'rubygems'

require_gem 'rails'
class Manager
  attr_accessor :programmer, :tester
  delegate :code, :debug, :to=>:programmer
  delegate :write_test_plans, :run_tests, :to=>:tester
end

class Tester
  def write_test_plans(hours); end
  def run_tests(hours); end
end
class Programmer
  def code(hours); end
  def debug(hours); end
end

m = Manager.new
m.programmer= Programmer.new
m.tester = Tester.new

m.write_test_plans 5
m.code 3
m.run_tests 6
m.debug 2

