#---
# Excerpted from "Rails For Java Programmers"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_r4j for more book information.
#---
require 'benchmark'
times = (1..7).map do |exp|
  coll = (1..10**exp).map {rand}
  Benchmark.realtime {coll.sort!}
end
times.each_with_index do |time,index|
  puts "Time to sort #{10**index} items: #{time}"
end
    