#---
# Excerpted from "Rails For Java Programmers"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_r4j for more book information.
#---
require File.dirname(__FILE__) + '/../test_helper'
require 'quips_controller'

# Re-raise errors caught by the controller.
class QuipsController; def rescue_action(e) raise e end; end

class QuipsSecurityTest < Test::Unit::TestCase
  fixtures :quips, :users, :roles, :roles_users

  def setup
    @controller = QuipsController.new
    @request    = ActionController::TestRequest.new
    @response   = ActionController::TestResponse.new
  end

  # This is just an example of some of the AuthenticatedTestHelper helpers. In a production app
  # you would presumably want to test all actions, not just <tt>create</tt>.
  def test_update_requires_login
    
    assert_requires_login do |c|
      c.post :create, :quip => {}
    end
    
    
    assert_requires_login(:aaron) do |c|
      c.post :create, :quip => {}
    end
    
    
    assert_difference(Quip, :count, 0) do
      post :create, :quip => {}
    end
    
  end
end
