#---
# Excerpted from "Rails For Java Programmers"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_r4j for more book information.
#---
require File.dirname(__FILE__) + '/../test_helper'

class RoutingTest < Test::Unit::TestCase
  def test_default_route
    assert_routing '/quips/show/1', 
      :controller=>'quips', :action=>'show', :id=>'1'
  end
  
  def test_account_routes
    assert_routing 'login', 
      :controller=>'account', :action=>'login'
    assert_routing 'logout', 
      :controller=>'account', :action=>'logout'
  end
  
  def test_recent_routes
    assert_routing '/quips/recent/20', 
      :controller=>'quips', :action=>'recent', :count=>'20'
    assert_routing '/quips/recent', 
      :controller=>'quips', :action=>'recent', :count=>'10'
  end
  
  def test_conditional_routes
    assert_routing '/quips/edit/1', 
      :controller=>'quips', :action=>'edit', :id=>'1'
  end
end
