#---
# Excerpted from "Rails For Java Programmers"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_r4j for more book information.
#---
require File.dirname(__FILE__) + '/../test_helper'

class QuipTest < Test::Unit::TestCase
  fixtures :quips

  def test_accessible_fields
    q = Quip.new :text=>'test', :lock_version=>10, :author_id=>10
    assert_equal({"text"=>'test', "lock_version"=>0}, q.attributes.reject{|k,v| !v})
  end
  
  def test_find_text_like
    q = Quip.find_text_like('quip 7')
    assert_equal(1, q.size)
    assert_equal('This is quip 7', q.first.text)
  end
end
